package com.example.acapendulum20.viewmodel

import android.app.Application
import androidx.lifecycle.AndroidViewModel
import androidx.lifecycle.LiveData
import androidx.lifecycle.viewModelScope
import com.example.acapendulum20.data.MeasurementDao
import com.example.acapendulum20.data.MeasurementDatabase
import com.example.acapendulum20.data.UserDatabase
import com.example.acapendulum20.data.UserDatabase.Companion.getDatabase
import com.example.acapendulum20.model.Measurement
import com.example.acapendulum20.model.User
import com.example.acapendulum20.repository.MeasurementRepository
import com.example.acapendulum20.repository.UserRepository
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch

class MeasurementViewmodel(application: Application): AndroidViewModel(application) {

    private val repository: MeasurementRepository

    init{
        val measurementDao = MeasurementDatabase.getDatabase(application).measurementDao()
        repository = MeasurementRepository(measurementDao)
    }

    fun addMeasurement(measurement: Measurement){
        viewModelScope.launch(Dispatchers.IO){
            repository.addMeasurement(measurement)
        }
    }


}